summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Frederic Galusik2023-03-24 03:38:40 +0100
committer Willy Sudiarto Raharjo2023-03-25 04:01:52 +0100
commitf7476c0424367fffe1dfc239c74d9329543e5046 (patch)
treecdecb744fe16f63a7bd13427baa3a4194301c3a2
parent53c5f91284bc1f1d8dae51c682beea3b60ca8e03 (diff)
downloadslackbuilds-f7476c0424367fffe1dfc239c74d9329543e5046.tar.gz
office/Logseq: Added (Logseq desktop application)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--office/Logseq/Logseq.SlackBuild99
-rw-r--r--office/Logseq/Logseq.desktop11
-rw-r--r--office/Logseq/Logseq.info10
-rw-r--r--office/Logseq/README4
-rw-r--r--office/Logseq/doinst.sh9
-rw-r--r--office/Logseq/logseq.pngbin0 -> 13478 bytes
-rw-r--r--office/Logseq/slack-desc19
7 files changed, 152 insertions, 0 deletions
diff --git a/office/Logseq/Logseq.SlackBuild b/office/Logseq/Logseq.SlackBuild
new file mode 100644
index 0000000000..f8b62bd044
--- /dev/null
+++ b/office/Logseq/Logseq.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/bash
+
+# Slackware build script for Logseq
+
+# Copyright 2023 Frederic Galusik Bordeaux, France
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=Logseq
+VERSION=${VERSION:-0.8.18}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ x86_64) ARCH=x86_64 ;;
+ *) echo "Package for $(uname -m) architecture is not available." ; exit 1 ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-linux-x64
+unzip $CWD/$PRGNAM-linux-x64-$VERSION.zip
+cd $PRGNAM-linux-x64
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# install
+mkdir -p $PKG/opt/$PRGNAM $PKG/usr/bin
+mv * $PKG/opt/$PRGNAM
+
+# desktop shortcut
+install -Dm 644 -o root -g root $CWD/$PRGNAM.desktop \
+ $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/share/icons/hicolor/512x512/apps
+cp $PKG/opt/$PRGNAM/resources/app/icons/logseq.png \
+ $PKG/usr/share/icons/hicolor/512x512/apps/
+
+# symlink
+cd $PKG/usr/bin
+ln -s ../../opt/$PRGNAM/Logseq logseq
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Copy program documentation & SlackBuild script in the documentation directory
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ $PKG/opt/$PRGNAM/LICENSE* $PKG/opt/$PRGNAM/resources/app/docs/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/office/Logseq/Logseq.desktop b/office/Logseq/Logseq.desktop
new file mode 100644
index 0000000000..2816157c66
--- /dev/null
+++ b/office/Logseq/Logseq.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Name=Logseq
+Comment=Open Source platform for knowledge sharing and management
+Comment[fr]=Plateforme Open Source pour le partage et la gestion des connaissances
+Exec=logseq %u
+Terminal=false
+Type=Application
+Icon=logseq
+StartupWMClass=logseq
+Categories=Office
+MimeType=x-scheme-handler/logseq
diff --git a/office/Logseq/Logseq.info b/office/Logseq/Logseq.info
new file mode 100644
index 0000000000..1724664049
--- /dev/null
+++ b/office/Logseq/Logseq.info
@@ -0,0 +1,10 @@
+PRGNAM="Logseq"
+VERSION="0.8.18"
+HOMEPAGE="https://logseq.com/"
+DOWNLOAD="https://github.com/logseq/logseq/releases/download/0.8.18/Logseq-linux-x64-0.8.18.zip"
+MD5SUM="e20d3f4f43cd4bc1af9d0ce15550b201"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Frederic Galusik"
+EMAIL="f@galusik.fr"
diff --git a/office/Logseq/README b/office/Logseq/README
new file mode 100644
index 0000000000..7050e88987
--- /dev/null
+++ b/office/Logseq/README
@@ -0,0 +1,4 @@
+Logseq is a privacy-first, open-source platform for knowledge
+management and collaboration.
+
+Pre-built binary release.
diff --git a/office/Logseq/doinst.sh b/office/Logseq/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/office/Logseq/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/office/Logseq/logseq.png b/office/Logseq/logseq.png
new file mode 100644
index 0000000000..7d9f1c803a
--- /dev/null
+++ b/office/Logseq/logseq.png
Binary files differ
diff --git a/office/Logseq/slack-desc b/office/Logseq/slack-desc
new file mode 100644
index 0000000000..b9c28a128d
--- /dev/null
+++ b/office/Logseq/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+Logseq: Logseq (Logseq desktop application)
+Logseq:
+Logseq: A privacy-first, open-source platform for knowledge management
+Logseq: and collaboration.
+Logseq:
+Logseq: (Prebuilt binary release)
+Logseq:
+Logseq:
+Logseq:
+Logseq:
+Logseq: